---
title: Setup
description: Setup of the ThemePark package.
published: true
date: 2023-07-22T18:04:07.217Z
tags: themepark
editor: markdown
dateCreated: 2023-02-16T21:10:33.614Z
---

# ThemePark

1. Download the plugin from [Spigot](https://www.spigotmc.org/resources/themepark.48648/) or [Polymart](https://polymart.org/resource/themepark.2242).
2. Put the plugin JAR into the `/plugins` folder of your server.
3. Restart your server.

# ThemeParkPlus

1. Make sure you have [ThemePark](#themepark) installed.
2. Make sure you have [WorldEdit](https://dev.bukkit.org/projects/worldedit) and [WorldGuard](https://dev.bukkit.org/projects/worldguard) installed.
3. Make sure you have [Vault](https://dev.bukkit.org/projects/vault) and an economy manager (like [EssentialsX](https://essentialsx.net/downloads.html)) installed.
4. Download the plugin from [Polymart](https://polymart.org/resource/themeparkplus.2243).
5. Put the plugin JAR into the `/plugins` folder of your server.
6. Restart your server.

# ThemeParkPanel

1. Make sure you have [ThemePark](#themepark) installed on your Minecraft server.
2. To proceed, choose the type you want to install this panel on:
- [Shared webhosting *If you own webhosting (you share with others)*](/en/themepark/setup/shared)
- [VPS running Linux *If you own an VPS running Linux*](/en/themepark/setup/linux)
{.links-list}

# ThemeParkPanelPlus

**Make sure to follow the ThemeParkPanel instructions first!**

1. Open the `settings.yml` from ThemeParkConnector. Then change the `socket.id` to something unique for your server. Make sure to save the ID somewhere, because you need it for Step 5.
2. Change the `socket.panel` URL to your own panel domain. For example `https://tppanel.mythemeparkserver.com/control/%ID%/%TOKEN%`. *(do **NOT** remove the `%%` variables)*
3. Extract the files from the ThemeParkPanelPlus ZIP into the root folder of your ThemeParkPanel installation.
4. Open the `routes/web.php` and append the following at the end:
```php
//ThemeParkPanelPlus
Route::get('/control/{attraction_id}/{pin}', 'ControlController@index');
```
5. Open the `.env` file and append the following at the end:
```
CONTROL_ID=CHANGEME
```
Make sure to change `CHANGEME` into the ID you configured in Step 1.