---
title: Shared webhosting
description: Install ThemeParkPanel on shared webhosting.
published: true
date: 2023-02-16T21:10:51.324Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:49.481Z
---

# Shared Webhosting
This guide will guide you through the installation of ThemeParkPanel on a shared webhosting.

*It assumes your hosting is using DirectAdmin. If your hosting does not use DirectAdmin, please ask your hosting to do specific things if you are unsure.*

## 1. Creating the MySQL database

1. Click on `MySQL Management` under **Account Manager** in the left sidebar.
2. Click on `Create New Database` on the right sidebar.

![Control Panel buttons](/screenshot_108.png =75%x)

3. Fill in the details. Think of a name for the database and user, like `themeparkpanel`. It's recommended to generate a strong password.

![Filling in Database details](/screenshot_109.png =75%x)

> **Make sure to safe the entered details somewhere, because you need them later!**
{.is-info}

4. **Click on the name of the database.** Then add `%` to the **Access Hosts**. Click on **Add New**. This makes sure your Minecraft server can also access the database.

![Adding Access Host](/download_(7).png =75%x)

5. Open phpMyAdmin (most of the time this can be found under **Extra Features** in the sidebar). Click on the name of your database in the sidebar. Then click on **Import** in the top menu. Click on **Choose file** and upload the provided `ThemeParkPanel.sql` file. Finish by clicking on **Import**.

![Uploading database on phpMyAdmin](/screenshot_110.png =45%x)

## 2. Creating an email account

1. Click on `E-mail accounts` under **E-mail Manager** in the left sidebar. Then click on **Create Account** in the right sidebar.
2. Fill in the details. Think of a name for the email account, like `panel`. It's recommended to generate a strong password.

![Creating an email account](/screenshot_113.png =75%x)

## 3. Uploading the files

**You need remote file transfer software to upload the files to your webhosting. You can use for example Filezilla or WinSCP. *This guide assumes you have WinSCP.***

1. Click on **New Site**. Then enter the details of your webhosting account. *If you are unsure what to use, contact your hosting.* Then click on **Login**.

![Filling in the FTP details](/screenshot_111.png =25%x)

2. **Select the folder with the name of your domain name.** Then upload the files in **the Non-SSH zip file**.
3. Copy the `.env.example` file and rename the copy to `.env`.
4. Start configuring your panel by opening the `.env` file.
	- Change `APP_URL` to the URL of your panel
	- At `DB_` change the credentials to the database details created above.
	- At `MAIL_` change the credentials to the mail details created above. *Not sure what to enter for the host, port or encryption? Ask your hosting.*

> Some webhostings only support SSL (instead of TLS)! Change the `MAIL_ENCRYPTION` setting to `ssl`. No encryption at all? Make the setting empty.
{.is-warning}