---
title: Sounds Configuration
description: Change the sounds of a base vehicle.
published: true
date: 2023-07-22T13:05:35.416Z
tags: 
editor: markdown
dateCreated: 2023-07-22T13:05:32.455Z
---

# Sounds Configuration
This page explains the `sounds.yml` file.

## Example file
*Per setting will be explained what it means as a comment (`#`).*
```yaml
# Below are all the available sounds, applied on the base vehicle 'examplecar'.
sounds:
  examplecar-engine-idle:
    # The sound to play
    sound: car.idle
    # The duration (ticks) to play it for (PAY ATTENTION: some sounds do loop)
    duration: 6
  examplecar-engine-start:
    sound: car.start
    duration: 2
  examplecar-engine-accelerate:
    sound: car.accelerate
    duration: 2
  examplecar-engine-driving:
    sound: car.driving
    duration: 2
  examplecar-engine-slowingdown:
    sound: car.slowingdown
    duration: 2
```

## Adding new sounds
To add the sounds for another base vehicle, just copy the default list and change all the settings.
*Do NOT copy the `[...]`, instead copy the part below it and paste at the end of the file.*
```yaml
[...]
  newbasevehicle-engine-idle:
    sound: car.idle
    duration: 6
  newbasevehicle-engine-start:
    sound: car.start
    duration: 2
  newbasevehicle-engine-accelerate:
    sound: car.accelerate
    duration: 2
  newbasevehicle-engine-driving:
    sound: car.driving
    duration: 2
  newbasevehicle-engine-slowingdown:
    sound: car.slowingdown
    duration: 2
```